"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppModule = void 0;
const path_1 = require("path");
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const cache_manager_1 = require("@nestjs/cache-manager");
const cache_manager_redis_yet_1 = require("cache-manager-redis-yet");
const mongoose_1 = require("@nestjs/mongoose");
const core_1 = require("@nestjs/core");
const serve_static_1 = require("@nestjs/serve-static");
const nest_winston_1 = require("nest-winston");
const modules = require("./modules/index.modules");
const config_2 = require("./common/config");
const res_transform_interceptor_1 = require("./common/interceptor/res-transform.interceptor");
const base_exception_filter_1 = require("./common/exception/base-exception.filter");
const auth_guard_1 = require("./common/guard/auth.guard");
const common_module_1 = require("./common/common.module");
const log_config_1 = require("./common/config/log.config");
const logger_middleware_1 = require("./common/middleware/logger.middleware");
const meta_interceptor_1 = require("./common/interceptor/meta.interceptor");
let AppModule = exports.AppModule = class AppModule {
    configure(consumer) {
        consumer
            .apply(logger_middleware_1.LoggerMiddleware)
            .forRoutes({ path: '*', method: common_1.RequestMethod.ALL });
    }
};
exports.AppModule = AppModule = __decorate([
    (0, common_1.Module)({
        imports: [
            serve_static_1.ServeStaticModule.forRoot({
                rootPath: (0, path_1.join)(__dirname, '..', 'client'),
            }),
            config_1.ConfigModule.forRoot({
                isGlobal: true,
                load: [config_2.default],
            }),
            nest_winston_1.WinstonModule.forRootAsync({
                imports: [config_1.ConfigModule],
                useFactory: (configService) => configService.get('NODE_ENV') === 'production'
                    ? log_config_1.PROD_LOG_OPTIONS
                    : log_config_1.DEV_LOG_OPTIONS,
                inject: [config_1.ConfigService],
            }),
            cache_manager_1.CacheModule.registerAsync({
                imports: [config_1.ConfigModule],
                useFactory: async (configService) => ({
                    store: await (0, cache_manager_redis_yet_1.redisStore)(configService.get('redis')),
                }),
                inject: [config_1.ConfigService],
                isGlobal: true,
            }),
            mongoose_1.MongooseModule.forRootAsync({
                imports: [config_1.ConfigModule],
                useFactory: async (configService) => configService.get('mongo'),
                inject: [config_1.ConfigService],
            }),
            common_module_1.CommonModule,
            ...Object.values(modules),
        ],
        controllers: [],
        providers: [
            {
                provide: core_1.APP_FILTER,
                useClass: base_exception_filter_1.BaseExceptionFilter,
            },
            {
                provide: core_1.APP_INTERCEPTOR,
                useClass: res_transform_interceptor_1.ResTransformInterceptor,
            },
            {
                provide: core_1.APP_INTERCEPTOR,
                useClass: meta_interceptor_1.MetaInterceptor,
            },
            {
                provide: core_1.APP_GUARD,
                useClass: auth_guard_1.AuthGuard,
            },
        ],
    })
], AppModule);
//# sourceMappingURL=app.module.js.map