"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEV_LOG_OPTIONS = exports.PROD_LOG_OPTIONS = void 0;
const winston = require("winston");
const nest_winston_1 = require("nest-winston");
require("winston-daily-rotate-file");
exports.PROD_LOG_OPTIONS = {
    transports: [
        new winston.transports.DailyRotateFile({
            level: 'info',
            dirname: 'logs',
            filename: '%DATE%.log',
            datePattern: 'YYYY-MM-DD',
            zippedArchive: true,
            maxSize: '20m',
            maxFiles: '14d',
            format: winston.format.combine(winston.format.timestamp({
                format: 'YYYY-MM-DD HH:mm:ss',
            }), winston.format.json()),
        }),
    ],
};
exports.DEV_LOG_OPTIONS = {
    transports: [
        new winston.transports.Console({
            level: 'silly',
            format: winston.format.combine(winston.format.timestamp({
                format: 'YYYY-MM-DD HH:mm:ss',
            }), nest_winston_1.utilities.format.nestLike()),
        }),
    ],
};
//# sourceMappingURL=log.config.js.map