"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthGuard = void 0;
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const provider_1 = require("../provider");
const meta_constant_1 = require("../constant/meta.constant");
let AuthGuard = exports.AuthGuard = class AuthGuard {
    constructor(reflector, ssoService, moduleRef) {
        this.reflector = reflector;
        this.ssoService = ssoService;
        this.moduleRef = moduleRef;
    }
    async canActivate(context) {
        const req = context.switchToHttp().getRequest();
        const isPublic = this.reflector.get(meta_constant_1.IS_PUBLIC, context.getHandler());
        const handlers = this.reflector.getAllAndMerge(meta_constant_1.CHECK_PERMISSION, [context.getClass(), context.getHandler()]);
        if (isPublic) {
            return true;
        }
        else {
            const userInfo = await this.ssoService.getUserInfo(req);
            req.user = userInfo;
            for (const handler of handlers) {
                const handlerResult = await this.execPermissionHandler(handler, req, this.moduleRef);
                if (!handlerResult) {
                    throw new common_1.HttpException({
                        code: common_1.HttpStatus.FORBIDDEN,
                        message: '抱歉，您暂无权限执行当前操作',
                    }, common_1.HttpStatus.FORBIDDEN);
                }
            }
            return true;
        }
    }
    execPermissionHandler(handler, req, moduleRef) {
        if (typeof handler === 'function') {
            return handler(req, moduleRef);
        }
        return handler.handle(req, moduleRef);
    }
};
exports.AuthGuard = AuthGuard = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [core_1.Reflector,
        provider_1.SSOService,
        core_1.ModuleRef])
], AuthGuard);
//# sourceMappingURL=auth.guard.js.map