"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResTransformInterceptor = void 0;
const common_1 = require("@nestjs/common");
const nest_winston_1 = require("nest-winston");
const operators_1 = require("rxjs/operators");
const winston_1 = require("winston");
const utils_1 = require("../util/utils");
let ResTransformInterceptor = exports.ResTransformInterceptor = class ResTransformInterceptor {
    constructor(logger) {
        this.logger = logger;
    }
    intercept(context, next) {
        const request = context.switchToHttp().getRequest();
        const response = context.switchToHttp().getResponse();
        return next.handle().pipe((0, operators_1.map)((data) => {
            const resData = {
                code: '0000',
                data,
                message: 'success',
            };
            this.logger.info(`Response(${Date.now() - request.startTime}ms)`, {
                request: (0, utils_1.getReqMeta)(request),
                response: {
                    resData,
                    statusCode: response.code,
                },
            });
            return resData;
        }));
    }
};
exports.ResTransformInterceptor = ResTransformInterceptor = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)(nest_winston_1.WINSTON_MODULE_PROVIDER)),
    __metadata("design:paramtypes", [winston_1.Logger])
], ResTransformInterceptor);
//# sourceMappingURL=res-transform.interceptor.js.map