"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SSOService = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const nest_winston_1 = require("nest-winston");
const winston_1 = require("winston");
const request_1 = require("../request");
const response_constant_1 = require("../constant/response.constant");
let SSOService = exports.SSOService = class SSOService {
    constructor(configService, logger) {
        this.configService = configService;
        this.logger = logger;
    }
    async getUserInfo(req) {
        const url = `${this.configService.get('ssoOrigin')}/api/${this.configService.get('appId')}/sso`;
        try {
            const res = await (0, request_1.request)({
                url,
                method: 'get',
                headers: {
                    Authorization: req.headers.authorization,
                },
            });
            return res.data;
        }
        catch (err) {
            if (err.response.status === common_1.HttpStatus.UNAUTHORIZED) {
                throw new common_1.HttpException({
                    code: common_1.HttpStatus.UNAUTHORIZED,
                    message: '登录过期，请重新登录',
                    data: err.response.data,
                }, common_1.HttpStatus.UNAUTHORIZED);
            }
            else {
                throw new common_1.HttpException({
                    code: response_constant_1.RES_CODE.SSO_ERROR,
                    message: '系统内部错误',
                }, common_1.HttpStatus.INTERNAL_SERVER_ERROR);
            }
        }
    }
};
exports.SSOService = SSOService = __decorate([
    (0, common_1.Injectable)(),
    __param(1, (0, common_1.Inject)(nest_winston_1.WINSTON_MODULE_PROVIDER)),
    __metadata("design:paramtypes", [config_1.ConfigService,
        winston_1.Logger])
], SSOService);
//# sourceMappingURL=sso.service.js.map