import { ModuleRef } from '@nestjs/core';
import { AUTH } from '../constant/auth.constant';
import { AuthedReq } from './sso.types';
import { ValueOf } from './common.types';
export interface IPermissionHandler {
    handle(req: AuthedReq, moduleRef: ModuleRef): boolean | Promise<boolean>;
}
export type PermissionHandlerCallback = (req: AuthedReq, moduleRef: ModuleRef) => boolean | Promise<boolean>;
export type PermissionHandler = IPermissionHandler | PermissionHandlerCallback;
export type AuthType = ValueOf<typeof AUTH>;
