"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReqMeta = exports.findTerminalNodeInForestList = exports.formatISODate = void 0;
const dayjs = require("dayjs");
function formatISODate(date) {
    return dayjs(date).format('YYYY-MM-DD HH:mm:ss');
}
exports.formatISODate = formatISODate;
function findTerminalNodeInForestList(list, id, terminalId, idProp = '_id', parentIdProp = 'parentId') {
    let node = list.find((each) => each[idProp] === id);
    while (node && node[parentIdProp] !== terminalId) {
        node = list.find((each) => each[idProp] === (node === null || node === void 0 ? void 0 : node[parentIdProp]));
    }
    return node;
}
exports.findTerminalNodeInForestList = findTerminalNodeInForestList;
function getReqMeta(req) {
    var _a, _b;
    const { query, headers, url, method, body } = req;
    return {
        url,
        host: headers.host,
        method,
        query,
        body,
        user: {
            userid: (_a = req === null || req === void 0 ? void 0 : req.user) === null || _a === void 0 ? void 0 : _a.userid,
            name: (_b = req === null || req === void 0 ? void 0 : req.user) === null || _b === void 0 ? void 0 : _b.name,
        },
    };
}
exports.getReqMeta = getReqMeta;
//# sourceMappingURL=utils.js.map