"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityConfigController = void 0;
const common_1 = require("@nestjs/common");
const user_decorator_1 = require("../../common/decorator/user.decorator");
const meta_decorator_1 = require("../../common/decorator/meta.decorator");
const response_constant_1 = require("../../common/constant/response.constant");
const activity_config_service_1 = require("./activity-config.service");
let ActivityConfigController = exports.ActivityConfigController = class ActivityConfigController {
    constructor(activityConfigService) {
        this.activityConfigService = activityConfigService;
    }
    syncData(user, env, port) {
        return this.activityConfigService.syncData(user, env, port);
    }
    create(user, env, createActivityConfigDto) {
        return this.activityConfigService.create(user, env, createActivityConfigDto);
    }
    findAllInOneDay(env, serverType, port = -1, date) {
        return this.activityConfigService.findAllByDays(env, serverType, +port, date, 1);
    }
    update(user, id, activityConfig) {
        return this.activityConfigService.update(user, id, activityConfig);
    }
    remove(user, id) {
        return this.activityConfigService.remove(user, id);
    }
    clear(user, env, data) {
        const { serverType, port, date } = data;
        return this.activityConfigService.clear(user, env, serverType, port, date);
    }
    getCountByDay(env, serverType, port) {
        return this.activityConfigService.getCountByDay(env, serverType, +port);
    }
    sort(user, env, serverType, port, date, activitySortConfigs) {
        return this.activityConfigService.sort(user, env, serverType, +port, date, activitySortConfigs);
    }
    getMultiOfTwoDays(env, serverType, port, date, tgtEnv, tgtPort, tgtDate) {
        return this.activityConfigService.getMultiOfTwoDays(env, serverType, +port, date, tgtEnv, +tgtPort, tgtDate);
    }
    copy(user, env, serverType, port, date, tgtEnv, tgtPort, tgtDate, extraConfigs) {
        return this.activityConfigService.copy(user, env, serverType, +port, date, tgtEnv, +tgtPort, tgtDate, extraConfigs);
    }
    getActiveUser(user, env, serverType, port) {
        return this.activityConfigService.getActiveUser(user, env, serverType, +port);
    }
    addActiveUser(user, env, serverType, port) {
        return this.activityConfigService.addActiveUser(user, env, serverType, +port);
    }
    delActiveUser(user, env, serverType, port) {
        return this.activityConfigService.delActiveUser(user, env, serverType, +port);
    }
    gitPush(env, port, serverType) {
        return this.activityConfigService.gitPush(env, serverType, port);
    }
    gitPull(env, port) {
        return this.activityConfigService.gitPull(env, +port);
    }
    applyToProcess() {
        return this.activityConfigService.applyToProcess();
    }
};
__decorate([
    (0, common_1.Post)('list/sync'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '数据同步失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)('port')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, Number]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "syncData", null);
__decorate([
    (0, common_1.Post)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '新增活动配置失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, Object]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '查询活动配置失败' }),
    __param(0, (0, common_1.Param)('env')),
    __param(1, (0, common_1.Query)('serverType')),
    __param(2, (0, common_1.Query)('port')),
    __param(3, (0, common_1.Query)('date')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, Object, String]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "findAllInOneDay", null);
__decorate([
    (0, common_1.Put)(':id'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '更新活动配置失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('id')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, Object]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.DEL_ERROR, message: '删除活动配置失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "remove", null);
__decorate([
    (0, common_1.Delete)('list/all'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.DEL_ERROR, message: '清空活动配置失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, Object]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "clear", null);
__decorate([
    (0, common_1.Get)('list/count'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '获取活动配置数目失败' }),
    __param(0, (0, common_1.Param)('env')),
    __param(1, (0, common_1.Query)('serverType')),
    __param(2, (0, common_1.Query)('port')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, Number]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "getCountByDay", null);
__decorate([
    (0, common_1.Put)('list/order'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '活动排序失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)('serverType')),
    __param(3, (0, common_1.Body)('port')),
    __param(4, (0, common_1.Body)('date')),
    __param(5, (0, common_1.Body)('activitySortConfigs')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, String, Number, String, Array]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "sort", null);
__decorate([
    (0, common_1.Get)('list/multi'),
    __param(0, (0, common_1.Param)('env')),
    __param(1, (0, common_1.Query)('serverType')),
    __param(2, (0, common_1.Query)('port')),
    __param(3, (0, common_1.Query)('date')),
    __param(4, (0, common_1.Query)('tgtEnv')),
    __param(5, (0, common_1.Query)('tgtPort')),
    __param(6, (0, common_1.Query)('tgtDate')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, Number, String, String, Number, String]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "getMultiOfTwoDays", null);
__decorate([
    (0, common_1.Post)('list/copy'),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)('serverType')),
    __param(3, (0, common_1.Body)('port')),
    __param(4, (0, common_1.Body)('date')),
    __param(5, (0, common_1.Body)('tgtEnv')),
    __param(6, (0, common_1.Body)('tgtPort')),
    __param(7, (0, common_1.Body)('tgtDate')),
    __param(8, (0, common_1.Body)('extraConfigs')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, String, Number, String, String, Number, String, Array]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "copy", null);
__decorate([
    (0, common_1.Get)('active/user'),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Query)('serverType')),
    __param(3, (0, common_1.Query)('port')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, String, String]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "getActiveUser", null);
__decorate([
    (0, common_1.Post)('active/user'),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)('serverType')),
    __param(3, (0, common_1.Body)('port')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, String, Number]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "addActiveUser", null);
__decorate([
    (0, common_1.Delete)('active/user'),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)('serverType')),
    __param(3, (0, common_1.Body)('port')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, String, Number]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "delActiveUser", null);
__decorate([
    (0, common_1.Post)('git/push'),
    __param(0, (0, common_1.Param)('env')),
    __param(1, (0, common_1.Body)('port')),
    __param(2, (0, common_1.Body)('serverType')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number, String]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "gitPush", null);
__decorate([
    (0, common_1.Get)('git/pull'),
    __param(0, (0, common_1.Param)('env')),
    __param(1, (0, common_1.Query)('port')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "gitPull", null);
__decorate([
    (0, common_1.Post)('process/apply'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], ActivityConfigController.prototype, "applyToProcess", null);
exports.ActivityConfigController = ActivityConfigController = __decorate([
    (0, common_1.Controller)(':env/activity-configs'),
    __metadata("design:paramtypes", [activity_config_service_1.ActivityConfigService])
], ActivityConfigController);
//# sourceMappingURL=activity-config.controller.js.map