import * as dayjs from 'dayjs';
import { EngineConfigRes, EngineResAcitvityConfig, EngineResDateObj } from '@/common/types/activity.types';
import { ActivityEnv } from '@/common/types/common.types';
import { WishGameConfigInResList } from '@/modules/wish-game-config/common/types';
import { ActivityConfigInResList, ActivityConfigType } from './types';
export declare function getNow(): dayjs.Dayjs;
export declare function splitDate(start: string, end: string): [Date, Date][];
export declare function getStandardDateOfActivity(date?: dayjs.Dayjs | string | Date): dayjs.Dayjs;
export declare function getDocConfigFromEngineConfig(config: EngineResAcitvityConfig, env: ActivityEnv, port: number, activityId: string): Omit<ActivityConfigType, '_id'>;
export declare function getEngineConfigFromDocConfig(config: ActivityConfigInResList): EngineResAcitvityConfig;
export declare function getDatesStrList(count: number): string[];
export declare function getDateStrByTimeSt(date: string): string;
export declare function splitConfigsByDate(activityConfigsInDb: ActivityConfigInResList[], wishGameConfigs: WishGameConfigInResList[]): EngineResDateObj[];
export declare function formatEngineConfigs(data: EngineConfigRes): {
    date: string;
    activityConfigs: {
        name: string;
        url: string;
        port: number;
        env: string;
        serverType: string;
        activityId: string;
        timeSt: string;
        timeEnd: string;
        transAc: 0 | 1;
        fixAc: 0 | 1;
        hottodayAc: 0 | 1;
        groups: string[];
        actRelated: string;
        useStoreInfo: boolean;
        priorityLoad: boolean;
        actCategory: string;
        indexOfAct: number;
        lobby: number;
        trans: number;
        fix: number;
        hottoday: number;
        cateNum: number;
    }[];
    wishGameConfigs: {
        value: string;
        label: string;
    }[];
}[];
