"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityController = void 0;
const common_1 = require("@nestjs/common");
const user_decorator_1 = require("../../common/decorator/user.decorator");
const meta_decorator_1 = require("../../common/decorator/meta.decorator");
const response_constant_1 = require("../../common/constant/response.constant");
const activity_service_1 = require("./activity.service");
let ActivityController = exports.ActivityController = class ActivityController {
    constructor(activityService) {
        this.activityService = activityService;
    }
    syncData(user, env) {
        return this.activityService.syncData(user, env);
    }
    findAllInOnePage(env, cateNum, serverType, page = 1, pageSize = 10, searchValue = '') {
        return this.activityService.findAllInOnePage(env, +page, +pageSize, searchValue, cateNum === undefined || cateNum === '' ? undefined : +cateNum, serverType);
    }
    updateCateNum(user, data) {
        return this.activityService.updateCateNum(user, data);
    }
};
__decorate([
    (0, common_1.Post)('list/sync'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '数据同步失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", void 0)
], ActivityController.prototype, "syncData", null);
__decorate([
    (0, common_1.Get)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '查询活动失败' }),
    __param(0, (0, common_1.Param)('env')),
    __param(1, (0, common_1.Query)('cateNum')),
    __param(2, (0, common_1.Query)('serverType')),
    __param(3, (0, common_1.Query)('page')),
    __param(4, (0, common_1.Query)('pageSize')),
    __param(5, (0, common_1.Query)('searchValue')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, String, Object, Object, Object]),
    __metadata("design:returntype", void 0)
], ActivityController.prototype, "findAllInOnePage", null);
__decorate([
    (0, common_1.Put)('category'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '更新分类失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", void 0)
], ActivityController.prototype, "updateCateNum", null);
exports.ActivityController = ActivityController = __decorate([
    (0, common_1.Controller)(':env/activities'),
    __metadata("design:paramtypes", [activity_service_1.ActivityService])
], ActivityController);
//# sourceMappingURL=activity.controller.js.map