/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Model } from 'mongoose';
import { UserInfo } from '@/common/types/sso.types';
import { ActivityEnv, ServerType } from '@/common/types/common.types';
import { ActivityEngineSerivce } from '@/common/provider';
import { ActivityConfigType } from '../activity-config/common/types';
import { UpdateCateNumBody } from './common/types';
import { Activity } from './schemas/activity.schema';
export declare class ActivityService {
    private readonly activityModel;
    private readonly activityEngineService;
    constructor(activityModel: Model<Activity>, activityEngineService: ActivityEngineSerivce);
    syncData(user: UserInfo, env: ActivityEnv): Promise<import("mongodb").BulkWriteResult>;
    findAllInOnePage(env: ActivityEnv, page: number, pageSize: number, searchValue: string, cateNum?: number, serverType?: ServerType): Promise<{
        total: number;
        data: any[];
    }>;
    updateCateNum(user: UserInfo, data: UpdateCateNumBody): Promise<import("mongoose").UpdateWriteOpResult>;
    updateLastConfig(user: UserInfo, id: string, data: ActivityConfigType): Promise<import("mongoose").UpdateWriteOpResult>;
    getActivityIdsByEnv(srcEnv: ActivityEnv, tgtEnv: ActivityEnv, ids: string[]): Promise<Record<string, string>>;
    getIdObjByEnvAndName(env: ActivityEnv, names: string[]): Promise<Record<string, string>>;
}
