/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose" />
/// <reference types="mongoose/types/inferschematype" />
import { UserInfo } from '@/common/types/sso.types';
import { CopywritingCategoryService } from './copywriting-category.service';
import { CopywritingCategory } from './schemas/copywriting-category.schema';
export declare class CopywritingCategoryController {
    private readonly copywritingCategoryService;
    constructor(copywritingCategoryService: CopywritingCategoryService);
    create(user: UserInfo, createCopywritingCategoryDto: CopywritingCategory): Promise<import("mongoose").Document<unknown, {}, CopywritingCategory> & Omit<CopywritingCategory & {
        _id: import("mongoose").Types.ObjectId;
    }, never>>;
    findAll(): Promise<CopywritingCategory[]>;
    update(id: string, updateCopywritingCategoryDto: CopywritingCategory): Promise<import("mongoose").UpdateWriteOpResult>;
    remove(id: string): Promise<import("mongoose").UpdateWriteOpResult>;
    sort(updateCopywritingDtos: CopywritingCategory[]): Promise<import("mongodb").BulkWriteResult>;
    init(user: UserInfo): Promise<(import("mongoose").Document<unknown, {}, import("mongoose").MergeType<import("mongoose").MergeType<CopywritingCategory, {
        order: number;
        creatorId: string;
        creatorName: string;
        label: string;
        parentId: string;
    }>, CopywritingCategory & {
        _id: import("mongoose").Types.ObjectId;
    }>> & Omit<Omit<import("mongoose").MergeType<CopywritingCategory, {
        order: number;
        creatorId: string;
        creatorName: string;
        label: string;
        parentId: string;
    }>, keyof CopywritingCategory> & CopywritingCategory & {
        _id: import("mongoose").Types.ObjectId;
    }, never>)[]>;
}
