"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopywritingCategoryController = void 0;
const common_1 = require("@nestjs/common");
const user_decorator_1 = require("../../common/decorator/user.decorator");
const meta_decorator_1 = require("../../common/decorator/meta.decorator");
const response_constant_1 = require("../../common/constant/response.constant");
const copywriting_category_service_1 = require("./copywriting-category.service");
const copywriting_category_schema_1 = require("./schemas/copywriting-category.schema");
const copywriting_category_permission_1 = require("./permissions/copywriting-category.permission");
let CopywritingCategoryController = exports.CopywritingCategoryController = class CopywritingCategoryController {
    constructor(copywritingCategoryService) {
        this.copywritingCategoryService = copywritingCategoryService;
    }
    create(user, createCopywritingCategoryDto) {
        return this.copywritingCategoryService.create(user, createCopywritingCategoryDto);
    }
    async findAll() {
        return this.copywritingCategoryService.findAll();
    }
    update(id, updateCopywritingCategoryDto) {
        return this.copywritingCategoryService.update(id, updateCopywritingCategoryDto);
    }
    remove(id) {
        return this.copywritingCategoryService.remove(id);
    }
    sort(updateCopywritingDtos) {
        return this.copywritingCategoryService.sort(updateCopywritingDtos);
    }
    init(user) {
        return this.copywritingCategoryService.init(user);
    }
};
__decorate([
    (0, common_1.Post)(),
    (0, meta_decorator_1.CheckPermission)(copywriting_category_permission_1.createPermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '新增分类失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, copywriting_category_schema_1.CopywritingCategory]),
    __metadata("design:returntype", void 0)
], CopywritingCategoryController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '查询分类失败' }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], CopywritingCategoryController.prototype, "findAll", null);
__decorate([
    (0, common_1.Put)(':id'),
    (0, meta_decorator_1.CheckPermission)(copywriting_category_permission_1.updatePermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '更新分类失败' }),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, copywriting_category_schema_1.CopywritingCategory]),
    __metadata("design:returntype", void 0)
], CopywritingCategoryController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    (0, meta_decorator_1.CheckPermission)(copywriting_category_permission_1.delPermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.DEL_ERROR, message: '删除分类失败' }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CopywritingCategoryController.prototype, "remove", null);
__decorate([
    (0, common_1.Put)('/list/order'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '排序分类失败' }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Array]),
    __metadata("design:returntype", void 0)
], CopywritingCategoryController.prototype, "sort", null);
__decorate([
    (0, common_1.Post)('/list/init'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '分类初始化失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], CopywritingCategoryController.prototype, "init", null);
exports.CopywritingCategoryController = CopywritingCategoryController = __decorate([
    (0, common_1.Controller)('copywriting-categories'),
    (0, meta_decorator_1.CheckPermission)(copywriting_category_permission_1.routePermission),
    __metadata("design:paramtypes", [copywriting_category_service_1.CopywritingCategoryService])
], CopywritingCategoryController);
//# sourceMappingURL=copywriting-category.controller.js.map