/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Model, Types } from 'mongoose';
import { Cache } from 'cache-manager';
import { UserInfo } from '@/common/types/sso.types';
import { CopywritingService } from '../copywriting/copywriting.service';
import { CopywritingCategory } from './schemas/copywriting-category.schema';
export declare class CopywritingCategoryService {
    private cacheManager;
    private copywritingCategoryModel;
    private copywritingService;
    constructor(cacheManager: Cache, copywritingCategoryModel: Model<CopywritingCategory>, copywritingService: CopywritingService);
    init(user: UserInfo): Promise<(import("mongoose").Document<unknown, {}, import("mongoose").MergeType<import("mongoose").MergeType<CopywritingCategory, {
        order: number;
        creatorId: string;
        creatorName: string;
        label: string;
        parentId: string;
    }>, CopywritingCategory & {
        _id: Types.ObjectId;
    }>> & Omit<Omit<import("mongoose").MergeType<CopywritingCategory, {
        order: number;
        creatorId: string;
        creatorName: string;
        label: string;
        parentId: string;
    }>, keyof CopywritingCategory> & CopywritingCategory & {
        _id: Types.ObjectId;
    }, never>)[]>;
    create(user: UserInfo, copywritingDto: CopywritingCategory): Promise<import("mongoose").Document<unknown, {}, CopywritingCategory> & Omit<CopywritingCategory & {
        _id: Types.ObjectId;
    }, never>>;
    setAndGetAllInCacheFromDb(): Promise<(import("mongoose").FlattenMaps<CopywritingCategory> & {
        _id: Types.ObjectId;
    })[]>;
    findAll(): Promise<CopywritingCategory[]>;
    findOne(id: string): Promise<(import("mongoose").Document<unknown, {}, CopywritingCategory> & Omit<CopywritingCategory & {
        _id: Types.ObjectId;
    }, never>) | null>;
    findOneByLabel(label: string): Promise<(import("mongoose").Document<unknown, {}, CopywritingCategory> & Omit<CopywritingCategory & {
        _id: Types.ObjectId;
    }, never>) | null>;
    update(id: string, copywritingDto: Partial<CopywritingCategory>): Promise<import("mongoose").UpdateWriteOpResult>;
    remove(id: string): Promise<import("mongoose").UpdateWriteOpResult>;
    sort(updateCopywritingDtos: CopywritingCategory[]): Promise<import("mongodb").BulkWriteResult>;
    checkRepeated(id: Types.ObjectId | string, label?: string): Promise<void>;
    findSelfAndChildrenIdsById(id?: string): Promise<string[]>;
}
