"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delPermission = exports.updatePermission = exports.createPermission = exports.routePermission = void 0;
const utils_1 = require("../../../common/util/utils");
const constants_1 = require("../../copywriting/common/constants");
const auth_constant_1 = require("../../../common/constant/auth.constant");
const copywriting_category_service_1 = require("../copywriting-category.service");
function routePermission(req) {
    return req.user.roles.some((each) => each.indexOf('cw-') > -1);
}
exports.routePermission = routePermission;
async function createPermission(req, moduleRef) {
    const copywritingCategoryService = moduleRef.get(copywriting_category_service_1.CopywritingCategoryService, {
        strict: false,
    });
    const data = await copywritingCategoryService.findAll();
    const terminalNode = (0, utils_1.findTerminalNodeInForestList)(data, req.body.parentId, 'root', '_id', 'parentId');
    const res = req.body.parentId !== 'root' &&
        terminalNode &&
        req.user.permissions.find((permission) => constants_1.MODULE_TO_PERMISSION[terminalNode.label].category === permission[2] && permission[3] === auth_constant_1.AUTH.CREATE);
    return !!res;
}
exports.createPermission = createPermission;
async function updatePermission(req, moduleRef) {
    const copywritingCategoryService = moduleRef.get(copywriting_category_service_1.CopywritingCategoryService, {
        strict: false,
    });
    const data = await copywritingCategoryService.findAll();
    const terminalNode = (0, utils_1.findTerminalNodeInForestList)(data, req.body._id, 'root', '_id', 'parentId');
    const res = req.body.parentId !== 'root' &&
        terminalNode &&
        req.user.permissions.find((permission) => constants_1.MODULE_TO_PERMISSION[terminalNode.label].category === permission[2] && permission[3] === auth_constant_1.AUTH.WRITE);
    return !!res;
}
exports.updatePermission = updatePermission;
async function delPermission(req, moduleRef) {
    const copywritingCategoryService = moduleRef.get(copywriting_category_service_1.CopywritingCategoryService, {
        strict: false,
    });
    const data = await copywritingCategoryService.findAll();
    const terminalNode = (0, utils_1.findTerminalNodeInForestList)(data, req.params.id, 'root', '_id', 'parentId');
    const node = data.find((each) => each._id === req.params.id);
    const res = (node === null || node === void 0 ? void 0 : node.parentId) !== 'root' &&
        terminalNode &&
        req.user.permissions.find((permission) => constants_1.MODULE_TO_PERMISSION[terminalNode.label].category === permission[2] && permission[3] === auth_constant_1.AUTH.CREATE);
    return !!res;
}
exports.delPermission = delPermission;
//# sourceMappingURL=copywriting-category.permission.js.map