/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose" />
/// <reference types="mongoose/types/inferschematype" />
import { UserInfo } from '@/common/types/sso.types';
import { CopywritingErrorService } from './copywriting-error.service';
import { CopywritingError } from './schemas/copywriting-error.schema';
import { ValidateContentBodyData } from './common/constants';
export declare class CopywritingErrorController {
    private readonly copywritingErrorService;
    constructor(copywritingErrorService: CopywritingErrorService);
    create(user: UserInfo, copywritingErrorDto: CopywritingError): Promise<import("mongoose").Document<unknown, {}, CopywritingError> & Omit<CopywritingError & {
        _id: import("mongoose").Types.ObjectId;
    }, never>>;
    findAll(): Promise<(import("mongoose").FlattenMaps<CopywritingError> & {
        _id: import("mongoose").Types.ObjectId;
    })[]>;
    findAllInOnePage(page?: number, pageSize?: number, searchText?: string, createTime?: string): Promise<{
        data: any[];
        total: number;
    }>;
    update(user: UserInfo, id: string, copywritingErrorDto: CopywritingError): Promise<import("mongoose").UpdateWriteOpResult | null>;
    remove(id: string): Promise<import("mongoose").UpdateWriteOpResult>;
    validateContent(data: ValidateContentBodyData): Promise<boolean | null>;
    findHistory(id: string): Promise<import("./schemas/history.schema").History[]>;
}
