"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopywritingErrorController = void 0;
const common_1 = require("@nestjs/common");
const user_decorator_1 = require("../../common/decorator/user.decorator");
const meta_decorator_1 = require("../../common/decorator/meta.decorator");
const response_constant_1 = require("../../common/constant/response.constant");
const copywriting_error_service_1 = require("./copywriting-error.service");
const copywriting_error_schema_1 = require("./schemas/copywriting-error.schema");
const copywriting_error_permission_1 = require("./permissions/copywriting-error.permission");
let CopywritingErrorController = exports.CopywritingErrorController = class CopywritingErrorController {
    constructor(copywritingErrorService) {
        this.copywritingErrorService = copywritingErrorService;
    }
    create(user, copywritingErrorDto) {
        return this.copywritingErrorService.create(user, copywritingErrorDto);
    }
    findAll() {
        return this.copywritingErrorService.findAll();
    }
    findAllInOnePage(page = 1, pageSize = 10, searchText = '', createTime = '') {
        return this.copywritingErrorService.findAllInOnePage(+page, +pageSize, searchText, createTime);
    }
    update(user, id, copywritingErrorDto) {
        return this.copywritingErrorService.update(user, id, copywritingErrorDto);
    }
    remove(id) {
        return this.copywritingErrorService.remove(id);
    }
    validateContent(data) {
        return this.copywritingErrorService.validateContent(data.key, data.value, data.id);
    }
    findHistory(id) {
        return this.copywritingErrorService.findHistory(id);
    }
};
__decorate([
    (0, common_1.Post)(),
    (0, meta_decorator_1.CheckPermission)(copywriting_error_permission_1.createPermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '新增易错词条失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, copywriting_error_schema_1.CopywritingError]),
    __metadata("design:returntype", void 0)
], CopywritingErrorController.prototype, "create", null);
__decorate([
    (0, common_1.Get)('/list/all'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '查询易错词条失败' }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], CopywritingErrorController.prototype, "findAll", null);
__decorate([
    (0, common_1.Get)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '查询易错词条失败' }),
    __param(0, (0, common_1.Query)('page')),
    __param(1, (0, common_1.Query)('pageSize')),
    __param(2, (0, common_1.Query)('searchText')),
    __param(3, (0, common_1.Query)('createTime')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, Object, Object]),
    __metadata("design:returntype", void 0)
], CopywritingErrorController.prototype, "findAllInOnePage", null);
__decorate([
    (0, common_1.Put)(':id'),
    (0, meta_decorator_1.CheckPermission)(copywriting_error_permission_1.updatePermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '更新易错词条失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('id')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, copywriting_error_schema_1.CopywritingError]),
    __metadata("design:returntype", void 0)
], CopywritingErrorController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    (0, meta_decorator_1.CheckPermission)(copywriting_error_permission_1.createPermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.DEL_ERROR, message: '删除易错词条失败' }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CopywritingErrorController.prototype, "remove", null);
__decorate([
    (0, common_1.Post)('validator/content'),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], CopywritingErrorController.prototype, "validateContent", null);
__decorate([
    (0, common_1.Get)('history/:id'),
    (0, meta_decorator_1.SetErrorMeta)({
        code: response_constant_1.RES_CODE.READ_ERROR,
        message: '查询易错词条历史记录失败',
    }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CopywritingErrorController.prototype, "findHistory", null);
exports.CopywritingErrorController = CopywritingErrorController = __decorate([
    (0, common_1.Controller)('copywriting-errors'),
    (0, meta_decorator_1.CheckPermission)(copywriting_error_permission_1.routePermission),
    __metadata("design:paramtypes", [copywriting_error_service_1.CopywritingErrorService])
], CopywritingErrorController);
//# sourceMappingURL=copywriting-error.controller.js.map