/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Model, Types } from 'mongoose';
import { UserInfo } from '@/common/types/sso.types';
import { CopywritingError } from './schemas/copywriting-error.schema';
export declare class CopywritingErrorService {
    private copywritingErrorModel;
    constructor(copywritingErrorModel: Model<CopywritingError>);
    create(user: UserInfo, copywritingErrorDto: CopywritingError): Promise<import("mongoose").Document<unknown, {}, CopywritingError> & Omit<CopywritingError & {
        _id: Types.ObjectId;
    }, never>>;
    findAll(): Promise<(import("mongoose").FlattenMaps<CopywritingError> & {
        _id: Types.ObjectId;
    })[]>;
    findAllInOnePage(page: number, pageSize: number, searchText: string, createTime: string): Promise<{
        data: any[];
        total: number;
    }>;
    findOne(id: string): Promise<CopywritingError>;
    update(user: UserInfo, id: string, copywritingErrorDto: Partial<CopywritingError>): Promise<import("mongoose").UpdateWriteOpResult | null>;
    remove(id: string): Promise<import("mongoose").UpdateWriteOpResult>;
    findHistory(id: string): Promise<import("./schemas/history.schema").History[]>;
    getType(oldRecord: CopywritingError, newRecord: Partial<CopywritingError>): string;
    findSameOne(id?: string, cn?: string, tw?: string, en?: string): Promise<(import("mongoose").Document<unknown, {}, CopywritingError> & Omit<CopywritingError & {
        _id: Types.ObjectId;
    }, never>) | null>;
    validateContent(key: string, value: string, id?: string): Promise<boolean | null>;
}
