"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updatePermission = exports.createPermission = exports.routePermission = void 0;
const auth_constant_1 = require("../../../common/constant/auth.constant");
function routePermission(req) {
    return req.user.roles.some((each) => each.indexOf('cw') > -1);
}
exports.routePermission = routePermission;
async function createPermission(req) {
    return !!req.user.permissions.find((permission) => permission[2] === auth_constant_1.PERMISSIONS.CW_ERROR && permission[3] === auth_constant_1.AUTH.CREATE);
}
exports.createPermission = createPermission;
async function updatePermission(req) {
    return !!req.user.permissions.find((permission) => permission[2] === auth_constant_1.PERMISSIONS.CW_ERROR && permission[3] === auth_constant_1.AUTH.WRITE);
}
exports.updatePermission = updatePermission;
//# sourceMappingURL=copywriting-error.permission.js.map