/// <reference types="multer" />
/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose" />
/// <reference types="mongoose/types/inferschematype" />
import { UserInfo } from '@/common/types/sso.types';
import { CopywritingService } from './copywriting.service';
import { Copywriting } from './schemas/copywriting.schema';
import { ValidateContentBodyData } from './common/types';
export declare class CopywritingController {
    private readonly copywritingService;
    constructor(copywritingService: CopywritingService);
    create(user: UserInfo, copywritingDto: Copywriting): Promise<import("mongoose").Document<unknown, {}, Copywriting> & Omit<Copywriting & {
        _id: import("mongoose").Types.ObjectId;
    }, never>>;
    findAll(categoryId: string, page?: number, pageSize?: number, searchText?: string, createTime?: string): Promise<{
        data: {
            createdAt: string;
            updatedAt: string;
            categoryId: any;
            categoryName: any;
            name: string;
            desc: string;
            cn: string;
            tw: string;
            en: string;
            history: import("mongoose").FlattenMaps<import("./schemas/history.schema").History>[];
            creatorId: string;
            creatorName: string;
            isDeleted: boolean;
            _id: any;
            __v?: any;
            $assertPopulated: <Paths = {}>(path: string | string[], values?: Partial<Paths> | undefined) => Omit<Copywriting, keyof Paths> & Paths;
            $clone: () => Copywriting;
            $getAllSubdocs: () => import("mongoose").Document<any, any, any>[];
            $ignore: (path: string) => void;
            $isDefault: (path: string) => boolean;
            $isDeleted: (val?: boolean | undefined) => boolean;
            $getPopulatedDocs: () => import("mongoose").Document<any, any, any>[];
            $inc: (path: string | string[], val?: number | undefined) => Copywriting;
            $isEmpty: (path: string) => boolean;
            $isValid: (path: string) => boolean;
            $locals: import("mongoose").FlattenMaps<Record<string, unknown>>;
            $markValid: (path: string) => void;
            $model: <ModelType = import("mongoose").Model<unknown, {}, {}, {}, import("mongoose").Document<unknown, {}, unknown> & Omit<{
                _id: import("mongoose").Types.ObjectId;
            }, never>, any>>(name: string) => ModelType;
            $op: "remove" | "save" | "validate" | null;
            $session: (session?: import("mongodb").ClientSession | null | undefined) => import("mongodb").ClientSession | null;
            $set: {
                (path: string | Record<string, any>, val: any, type: any, options?: import("mongoose").DocumentSetOptions | undefined): Copywriting;
                (path: string | Record<string, any>, val: any, options?: import("mongoose").DocumentSetOptions | undefined): Copywriting;
                (value: string | Record<string, any>): Copywriting;
            };
            $where: import("mongoose").FlattenMaps<Record<string, unknown>>;
            baseModelName?: string | undefined;
            collection: import("mongoose").Collection<import("bson").Document>;
            db: import("mongoose").FlattenMaps<import("mongoose").Connection>;
            deleteOne: (options?: import("mongoose").QueryOptions<unknown> | undefined) => Promise<Copywriting>;
            depopulate: (path?: string | string[] | undefined) => Copywriting;
            directModifiedPaths: () => string[];
            equals: (doc: import("mongoose").Document<any, any, any>) => boolean;
            errors?: import("mongoose").Error.ValidationError | undefined;
            get: (path: string, type?: any, options?: any) => any;
            getChanges: () => import("mongoose").UpdateQuery<Copywriting>;
            id?: any;
            increment: () => Copywriting;
            init: (obj: import("mongoose").AnyObject, opts?: import("mongoose").AnyObject | undefined) => Copywriting;
            invalidate: (path: string, errorMsg: string | NativeError, value?: any, kind?: string | undefined) => NativeError | null;
            isDirectModified: (path: string | string[]) => boolean;
            isDirectSelected: (path: string) => boolean;
            isInit: (path: string) => boolean;
            isModified: (path?: string | string[] | undefined) => boolean;
            isNew: boolean;
            isSelected: (path: string) => boolean;
            markModified: (path: string, scope?: any) => void;
            modifiedPaths: (options?: {
                includeChildren?: boolean | undefined;
            } | undefined) => string[];
            overwrite: (obj: import("mongoose").AnyObject) => Copywriting;
            $parent: () => import("mongoose").Document<any, any, any> | undefined;
            populate: {
                <Paths_1 = {}>(path: string | import("mongoose").PopulateOptions | (string | import("mongoose").PopulateOptions)[]): Promise<import("mongoose").MergeType<Copywriting, Paths_1>>;
                <Paths_2 = {}>(path: string, select?: string | import("mongoose").AnyObject | undefined, model?: import("mongoose").Model<any, {}, {}, {}, any, any> | undefined, match?: import("mongoose").AnyObject | undefined, options?: import("mongoose").PopulateOptions | undefined): Promise<import("mongoose").MergeType<Copywriting, Paths_2>>;
            };
            populated: (path: string) => any;
            replaceOne: (replacement?: import("mongoose").AnyObject | undefined, options?: import("mongoose").QueryOptions<unknown> | null | undefined) => import("mongoose").Query<any, Copywriting, {}, Copywriting, "find">;
            save: (options?: import("mongoose").SaveOptions | undefined) => Promise<Copywriting>;
            schema: import("mongoose").FlattenMaps<import("mongoose").Schema<any, import("mongoose").Model<any, any, any, any, any, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, {
                [x: string]: any;
            }, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<{
                [x: string]: any;
            }>> & Omit<import("mongoose").FlatRecord<{
                [x: string]: any;
            }> & Required<{
                _id: unknown;
            }>, never>>>;
            set: {
                (path: string | Record<string, any>, val: any, type: any, options?: import("mongoose").DocumentSetOptions | undefined): Copywriting;
                (path: string | Record<string, any>, val: any, options?: import("mongoose").DocumentSetOptions | undefined): Copywriting;
                (value: string | Record<string, any>): Copywriting;
            };
            toJSON: {
                <T = any>(options?: (import("mongoose").ToObjectOptions<import("mongoose").Document<unknown, {}, unknown> & Omit<{
                    _id: import("mongoose").Types.ObjectId;
                }, never>> & {
                    flattenMaps?: true | undefined;
                }) | undefined): import("mongoose").FlattenMaps<T>;
                <T_1 = any>(options: import("mongoose").ToObjectOptions<import("mongoose").Document<unknown, {}, unknown> & Omit<{
                    _id: import("mongoose").Types.ObjectId;
                }, never>> & {
                    flattenMaps: false;
                }): T_1;
            };
            toObject: <T_2 = any>(options?: import("mongoose").ToObjectOptions<import("mongoose").Document<unknown, {}, unknown> & Omit<{
                _id: import("mongoose").Types.ObjectId;
            }, never>> | undefined) => import("mongoose").Require_id<T_2>;
            unmarkModified: (path: string) => void;
            updateOne: (update?: import("mongoose").UpdateWithAggregationPipeline | import("mongoose").UpdateQuery<Copywriting> | undefined, options?: import("mongoose").QueryOptions<unknown> | null | undefined) => import("mongoose").Query<any, Copywriting, {}, Copywriting, "find">;
            validate: {
                (pathsToValidate?: import("mongoose").PathsToValidate | undefined, options?: import("mongoose").AnyObject | undefined): Promise<void>;
                (options: {
                    pathsToSkip?: import("mongoose").pathsToSkip | undefined;
                }): Promise<void>;
            };
            validateSync: {
                (options: {
                    [k: string]: any;
                    pathsToSkip?: import("mongoose").pathsToSkip | undefined;
                }): import("mongoose").Error.ValidationError | null;
                (pathsToValidate?: import("mongoose").PathsToValidate | undefined, options?: import("mongoose").AnyObject | undefined): import("mongoose").Error.ValidationError | null;
            };
        }[];
        total: number;
    }>;
    update(user: UserInfo, id: string, copywritingDto: Copywriting): Promise<import("mongoose").UpdateWriteOpResult | null>;
    remove(id: string): Promise<import("mongoose").UpdateWriteOpResult>;
    validateContent(data: ValidateContentBodyData): Promise<boolean | null>;
    findHistory(id: string): Promise<{
        createdAt: string;
        type: string;
        operator: string;
        record: import("mongoose").FlattenMaps<import("./schemas/h-record.schema").HRecord>;
        _id?: any;
        __v?: any;
        $assertPopulated: <Paths = {}>(path: string | string[], values?: Partial<Paths> | undefined) => Omit<import("./schemas/history.schema").History, keyof Paths> & Paths;
        $clone: () => import("./schemas/history.schema").History;
        $getAllSubdocs: () => import("mongoose").Document<any, any, any>[];
        $ignore: (path: string) => void;
        $isDefault: (path: string) => boolean;
        $isDeleted: (val?: boolean | undefined) => boolean;
        $getPopulatedDocs: () => import("mongoose").Document<any, any, any>[];
        $inc: (path: string | string[], val?: number | undefined) => import("./schemas/history.schema").History;
        $isEmpty: (path: string) => boolean;
        $isValid: (path: string) => boolean;
        $locals: import("mongoose").FlattenMaps<Record<string, unknown>>;
        $markValid: (path: string) => void;
        $model: <ModelType = import("mongoose").Model<unknown, {}, {}, {}, import("mongoose").Document<unknown, {}, unknown> & Omit<{
            _id: import("mongoose").Types.ObjectId;
        }, never>, any>>(name: string) => ModelType;
        $op: "remove" | "save" | "validate" | null;
        $session: (session?: import("mongodb").ClientSession | null | undefined) => import("mongodb").ClientSession | null;
        $set: {
            (path: string | Record<string, any>, val: any, type: any, options?: import("mongoose").DocumentSetOptions | undefined): import("./schemas/history.schema").History;
            (path: string | Record<string, any>, val: any, options?: import("mongoose").DocumentSetOptions | undefined): import("./schemas/history.schema").History;
            (value: string | Record<string, any>): import("./schemas/history.schema").History;
        };
        $where: import("mongoose").FlattenMaps<Record<string, unknown>>;
        baseModelName?: string | undefined;
        collection: import("mongoose").Collection<import("bson").Document>;
        db: import("mongoose").FlattenMaps<import("mongoose").Connection>;
        deleteOne: (options?: import("mongoose").QueryOptions<unknown> | undefined) => Promise<import("./schemas/history.schema").History>;
        depopulate: (path?: string | string[] | undefined) => import("./schemas/history.schema").History;
        directModifiedPaths: () => string[];
        equals: (doc: import("mongoose").Document<any, any, any>) => boolean;
        errors?: import("mongoose").Error.ValidationError | undefined;
        get: (path: string, type?: any, options?: any) => any;
        getChanges: () => import("mongoose").UpdateQuery<import("./schemas/history.schema").History>;
        id?: any;
        increment: () => import("./schemas/history.schema").History;
        init: (obj: import("mongoose").AnyObject, opts?: import("mongoose").AnyObject | undefined) => import("./schemas/history.schema").History;
        invalidate: (path: string, errorMsg: string | NativeError, value?: any, kind?: string | undefined) => NativeError | null;
        isDirectModified: (path: string | string[]) => boolean;
        isDirectSelected: (path: string) => boolean;
        isInit: (path: string) => boolean;
        isModified: (path?: string | string[] | undefined) => boolean;
        isNew: boolean;
        isSelected: (path: string) => boolean;
        markModified: (path: string, scope?: any) => void;
        modifiedPaths: (options?: {
            includeChildren?: boolean | undefined;
        } | undefined) => string[];
        overwrite: (obj: import("mongoose").AnyObject) => import("./schemas/history.schema").History;
        $parent: () => import("mongoose").Document<any, any, any> | undefined;
        populate: {
            <Paths_1 = {}>(path: string | import("mongoose").PopulateOptions | (string | import("mongoose").PopulateOptions)[]): Promise<import("mongoose").MergeType<import("./schemas/history.schema").History, Paths_1>>;
            <Paths_2 = {}>(path: string, select?: string | import("mongoose").AnyObject | undefined, model?: import("mongoose").Model<any, {}, {}, {}, any, any> | undefined, match?: import("mongoose").AnyObject | undefined, options?: import("mongoose").PopulateOptions | undefined): Promise<import("mongoose").MergeType<import("./schemas/history.schema").History, Paths_2>>;
        };
        populated: (path: string) => any;
        replaceOne: (replacement?: import("mongoose").AnyObject | undefined, options?: import("mongoose").QueryOptions<unknown> | null | undefined) => import("mongoose").Query<any, import("./schemas/history.schema").History, {}, import("./schemas/history.schema").History, "find">;
        save: (options?: import("mongoose").SaveOptions | undefined) => Promise<import("./schemas/history.schema").History>;
        schema: import("mongoose").FlattenMaps<import("mongoose").Schema<any, import("mongoose").Model<any, any, any, any, any, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, {
            [x: string]: any;
        }, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<{
            [x: string]: any;
        }>> & Omit<import("mongoose").FlatRecord<{
            [x: string]: any;
        }> & Required<{
            _id: unknown;
        }>, never>>>;
        set: {
            (path: string | Record<string, any>, val: any, type: any, options?: import("mongoose").DocumentSetOptions | undefined): import("./schemas/history.schema").History;
            (path: string | Record<string, any>, val: any, options?: import("mongoose").DocumentSetOptions | undefined): import("./schemas/history.schema").History;
            (value: string | Record<string, any>): import("./schemas/history.schema").History;
        };
        toJSON: {
            <T = any>(options?: (import("mongoose").ToObjectOptions<import("mongoose").Document<unknown, {}, unknown> & Omit<{
                _id: import("mongoose").Types.ObjectId;
            }, never>> & {
                flattenMaps?: true | undefined;
            }) | undefined): import("mongoose").FlattenMaps<T>;
            <T_1 = any>(options: import("mongoose").ToObjectOptions<import("mongoose").Document<unknown, {}, unknown> & Omit<{
                _id: import("mongoose").Types.ObjectId;
            }, never>> & {
                flattenMaps: false;
            }): T_1;
        };
        toObject: <T_2 = any>(options?: import("mongoose").ToObjectOptions<import("mongoose").Document<unknown, {}, unknown> & Omit<{
            _id: import("mongoose").Types.ObjectId;
        }, never>> | undefined) => import("mongoose").Require_id<T_2>;
        unmarkModified: (path: string) => void;
        updateOne: (update?: import("mongoose").UpdateWithAggregationPipeline | import("mongoose").UpdateQuery<import("./schemas/history.schema").History> | undefined, options?: import("mongoose").QueryOptions<unknown> | null | undefined) => import("mongoose").Query<any, import("./schemas/history.schema").History, {}, import("./schemas/history.schema").History, "find">;
        validate: {
            (pathsToValidate?: import("mongoose").PathsToValidate | undefined, options?: import("mongoose").AnyObject | undefined): Promise<void>;
            (options: {
                pathsToSkip?: import("mongoose").pathsToSkip | undefined;
            }): Promise<void>;
        };
        validateSync: {
            (options: {
                [k: string]: any;
                pathsToSkip?: import("mongoose").pathsToSkip | undefined;
            }): import("mongoose").Error.ValidationError | null;
            (pathsToValidate?: import("mongoose").PathsToValidate | undefined, options?: import("mongoose").AnyObject | undefined): import("mongoose").Error.ValidationError | null;
        };
    }[]>;
    uploadFile(user: UserInfo, file: Express.Multer.File): Promise<{
        name: string;
        msg: string;
    }[]>;
}
