"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopywritingController = void 0;
const common_1 = require("@nestjs/common");
const platform_express_1 = require("@nestjs/platform-express");
const user_decorator_1 = require("../../common/decorator/user.decorator");
const meta_decorator_1 = require("../../common/decorator/meta.decorator");
const response_constant_1 = require("../../common/constant/response.constant");
const copywriting_category_permission_1 = require("../copywriting-category/permissions/copywriting-category.permission");
const copywriting_service_1 = require("./copywriting.service");
const copywriting_schema_1 = require("./schemas/copywriting.schema");
const copywriting_permission_1 = require("./permissions/copywriting.permission");
let CopywritingController = exports.CopywritingController = class CopywritingController {
    constructor(copywritingService) {
        this.copywritingService = copywritingService;
    }
    create(user, copywritingDto) {
        return this.copywritingService.create(user, copywritingDto);
    }
    findAll(categoryId, page = 1, pageSize = 10, searchText = '', createTime = '') {
        return this.copywritingService.findAll(categoryId, page, pageSize, searchText, createTime);
    }
    update(user, id, copywritingDto) {
        return this.copywritingService.update(user, id, copywritingDto);
    }
    remove(id) {
        return this.copywritingService.remove(id);
    }
    validateContent(data) {
        return this.copywritingService.validateContent(data.key, data.value, data.id);
    }
    findHistory(id) {
        return this.copywritingService.findHistory(id);
    }
    uploadFile(user, file) {
        return this.copywritingService.batchCreateFromFile(user, file);
    }
};
__decorate([
    (0, common_1.Post)(),
    (0, meta_decorator_1.CheckPermission)(copywriting_permission_1.createPermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '新增文案失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, copywriting_schema_1.Copywriting]),
    __metadata("design:returntype", void 0)
], CopywritingController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '查询文案失败' }),
    __param(0, (0, common_1.Query)('categoryId')),
    __param(1, (0, common_1.Query)('page')),
    __param(2, (0, common_1.Query)('pageSize')),
    __param(3, (0, common_1.Query)('searchText')),
    __param(4, (0, common_1.Query)('createTime')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object, Object, Object, Object]),
    __metadata("design:returntype", void 0)
], CopywritingController.prototype, "findAll", null);
__decorate([
    (0, common_1.Put)(':id'),
    (0, meta_decorator_1.CheckPermission)(copywriting_permission_1.updatePermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '更新文案失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('id')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, copywriting_schema_1.Copywriting]),
    __metadata("design:returntype", void 0)
], CopywritingController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    (0, meta_decorator_1.CheckPermission)(copywriting_permission_1.delPermission),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.DEL_ERROR, message: '删除文案失败' }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CopywritingController.prototype, "remove", null);
__decorate([
    (0, common_1.Post)('validator/content'),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], CopywritingController.prototype, "validateContent", null);
__decorate([
    (0, common_1.Get)('history/:id'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '查询历史记录失败' }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CopywritingController.prototype, "findHistory", null);
__decorate([
    (0, common_1.Post)('upload'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '批量新增文案失败' }),
    (0, common_1.UseInterceptors)((0, platform_express_1.FileInterceptor)('file')),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.UploadedFile)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", void 0)
], CopywritingController.prototype, "uploadFile", null);
exports.CopywritingController = CopywritingController = __decorate([
    (0, common_1.Controller)('copywriting'),
    (0, meta_decorator_1.CheckPermission)(copywriting_category_permission_1.routePermission),
    __metadata("design:paramtypes", [copywriting_service_1.CopywritingService])
], CopywritingController);
//# sourceMappingURL=copywriting.controller.js.map