"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delPermission = exports.updatePermission = exports.createPermission = void 0;
const copywriting_category_service_1 = require("../../copywriting-category/copywriting-category.service");
const auth_constant_1 = require("../../../common/constant/auth.constant");
const utils_1 = require("../../../common/util/utils");
const constants_1 = require("../common/constants");
const copywriting_service_1 = require("../copywriting.service");
async function createPermission(req, moduleRef) {
    const copywritingCategoryService = moduleRef.get(copywriting_category_service_1.CopywritingCategoryService, {
        strict: false,
    });
    const categories = await copywritingCategoryService.findAll();
    const terminalNode = (0, utils_1.findTerminalNodeInForestList)(categories, req.body.categoryId, 'root', '_id', 'parentId');
    const res = terminalNode &&
        req.user.permissions.find((permission) => constants_1.MODULE_TO_PERMISSION[terminalNode.label].content === permission[2] && permission[3] === auth_constant_1.AUTH.CREATE);
    return !!res;
}
exports.createPermission = createPermission;
async function updatePermission(req, moduleRef) {
    const copywritingCategoryService = moduleRef.get(copywriting_category_service_1.CopywritingCategoryService, {
        strict: false,
    });
    const categories = await copywritingCategoryService.findAll();
    const terminalNode = (0, utils_1.findTerminalNodeInForestList)(categories, req.body.categoryId, 'root', '_id', 'parentId');
    const res = terminalNode &&
        req.user.permissions.find((permission) => constants_1.MODULE_TO_PERMISSION[terminalNode.label].content === permission[2] && permission[3] === auth_constant_1.AUTH.WRITE);
    return !!res;
}
exports.updatePermission = updatePermission;
async function delPermission(req, moduleRef) {
    var _a;
    const copywritingCategoryService = moduleRef.get(copywriting_category_service_1.CopywritingCategoryService, {
        strict: false,
    });
    const copywritingService = moduleRef.get(copywriting_service_1.CopywritingService, {
        strict: false,
    });
    const categories = await copywritingCategoryService.findAll();
    const copywriting = await copywritingService.findOne(req.params.id);
    const terminalNode = (0, utils_1.findTerminalNodeInForestList)(categories, (_a = copywriting === null || copywriting === void 0 ? void 0 : copywriting.categoryId) === null || _a === void 0 ? void 0 : _a.toString(), 'root', '_id', 'parentId');
    const res = terminalNode &&
        req.user.permissions.find((permission) => constants_1.MODULE_TO_PERMISSION[terminalNode.label].content === permission[2] && permission[3] === auth_constant_1.AUTH.CREATE);
    return !!res;
}
exports.delPermission = delPermission;
//# sourceMappingURL=copywriting.permission.js.map