/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose" />
/// <reference types="mongoose/types/inferschematype" />
import { ActivityEnv } from '@/common/types/common.types';
import { UserInfo } from '@/common/types/sso.types';
import { WishGameConfigType } from './schemas/wish-game-config.schema';
import { WishGameConfigService } from './wish-game-config.service';
export declare class WishGameConfigController {
    private readonly wishGameConfigService;
    constructor(wishGameConfigService: WishGameConfigService);
    create(user: UserInfo, env: ActivityEnv, wishGameConfigDto: WishGameConfigType): Promise<import("mongoose").Document<unknown, {}, import("./schemas/wish-game-config.schema").WishGameConfig> & Omit<import("./schemas/wish-game-config.schema").WishGameConfig & {
        _id: import("mongoose").Types.ObjectId;
    }, never>>;
    findAllInOneDay(env: ActivityEnv, port: number | undefined, date: string): Promise<import("./common/types").WishGameConfigInResList[]>;
    remove(user: UserInfo, id: string): Promise<(import("mongoose").Document<unknown, {}, import("./schemas/wish-game-config.schema").WishGameConfig> & Omit<import("./schemas/wish-game-config.schema").WishGameConfig & {
        _id: import("mongoose").Types.ObjectId;
    }, never>) | null>;
}
