"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WishGameConfigController = void 0;
const common_1 = require("@nestjs/common");
const user_decorator_1 = require("../../common/decorator/user.decorator");
const meta_decorator_1 = require("../../common/decorator/meta.decorator");
const response_constant_1 = require("../../common/constant/response.constant");
const wish_game_config_service_1 = require("./wish-game-config.service");
let WishGameConfigController = exports.WishGameConfigController = class WishGameConfigController {
    constructor(wishGameConfigService) {
        this.wishGameConfigService = wishGameConfigService;
    }
    create(user, env, wishGameConfigDto) {
        return this.wishGameConfigService.create(user, env, wishGameConfigDto);
    }
    findAllInOneDay(env, port = -1, date) {
        return this.wishGameConfigService.findAllByDays(env, +port, [date]);
    }
    remove(user, id) {
        return this.wishGameConfigService.remove(user, id);
    }
};
__decorate([
    (0, common_1.Post)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '新增心愿游戏失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, Object]),
    __metadata("design:returntype", void 0)
], WishGameConfigController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '查询心愿游戏失败' }),
    __param(0, (0, common_1.Param)('env')),
    __param(1, (0, common_1.Query)('port')),
    __param(2, (0, common_1.Query)('date')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object, String]),
    __metadata("design:returntype", void 0)
], WishGameConfigController.prototype, "findAllInOneDay", null);
__decorate([
    (0, common_1.Delete)(':id'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '删除心愿游戏失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", void 0)
], WishGameConfigController.prototype, "remove", null);
exports.WishGameConfigController = WishGameConfigController = __decorate([
    (0, common_1.Controller)(':env/wish-game-configs'),
    __metadata("design:paramtypes", [wish_game_config_service_1.WishGameConfigService])
], WishGameConfigController);
//# sourceMappingURL=wish-game-config.controller.js.map