/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Model } from 'mongoose';
import { UserInfo } from '@/common/types/sso.types';
import { ActivityEnv } from '@/common/types/common.types';
import { EngineConfigRes } from '@/common/types/activity.types';
import { WishGameService } from '../wish-game/wish-game.service';
import { WishGameConfig, WishGameConfigType } from './schemas/wish-game-config.schema';
import { WishGameConfigInResList } from './common/types';
export declare class WishGameConfigService {
    private readonly wishGameConfigModel;
    private readonly wishGameService;
    constructor(wishGameConfigModel: Model<WishGameConfig>, wishGameService: WishGameService);
    syncData(user: UserInfo, env: ActivityEnv, port: number, engineRes: EngineConfigRes): Promise<import("mongodb").BulkWriteResult>;
    create(user: UserInfo, env: ActivityEnv, wishGameConfig: WishGameConfigType): Promise<import("mongoose").Document<unknown, {}, WishGameConfig> & Omit<WishGameConfig & {
        _id: import("mongoose").Types.ObjectId;
    }, never>>;
    findAllByDays(env: ActivityEnv, port: number, dates: string[]): Promise<WishGameConfigInResList[]>;
    remove(user: UserInfo, id: string): Promise<(import("mongoose").Document<unknown, {}, WishGameConfig> & Omit<WishGameConfig & {
        _id: import("mongoose").Types.ObjectId;
    }, never>) | null>;
    clear(user: UserInfo, env: string, port: number, date: string): Promise<import("mongoose").UpdateWriteOpResult>;
}
