/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose" />
/// <reference types="mongoose/types/inferschematype" />
import { UserInfo } from '@/common/types/sso.types';
import { ActivityEnv } from '@/common/types/common.types';
import { WishGame } from './schemas/wish-game.schema';
import { WishGameService } from './wish-game.service';
export declare class WishGameController {
    private readonly wishGameService;
    constructor(wishGameService: WishGameService);
    sync(user: UserInfo, env: ActivityEnv): Promise<import("mongodb").BulkWriteResult>;
    create(user: UserInfo, env: ActivityEnv, wishGameDto: WishGame): Promise<import("mongoose").Document<unknown, {}, WishGame> & Omit<WishGame & {
        _id: import("mongoose").Types.ObjectId;
    }, never>>;
    findAll(env: ActivityEnv): Promise<WishGame[]>;
    update(user: UserInfo, env: ActivityEnv, id: string, wishGameDto: WishGame): Promise<import("mongoose").UpdateWriteOpResult>;
    remove(user: UserInfo, env: ActivityEnv, id: string): Promise<import("mongoose").UpdateWriteOpResult>;
    sort(user: UserInfo, env: ActivityEnv, wishGames: WishGame[]): Promise<import("mongodb").BulkWriteResult>;
}
