"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WishGameController = void 0;
const common_1 = require("@nestjs/common");
const user_decorator_1 = require("../../common/decorator/user.decorator");
const meta_decorator_1 = require("../../common/decorator/meta.decorator");
const response_constant_1 = require("../../common/constant/response.constant");
const wish_game_schema_1 = require("./schemas/wish-game.schema");
const wish_game_service_1 = require("./wish-game.service");
let WishGameController = exports.WishGameController = class WishGameController {
    constructor(wishGameService) {
        this.wishGameService = wishGameService;
    }
    sync(user, env) {
        return this.wishGameService.sync(user, env);
    }
    create(user, env, wishGameDto) {
        return this.wishGameService.create(user, env, wishGameDto);
    }
    findAll(env) {
        return this.wishGameService.findAll(env);
    }
    update(user, env, id, wishGameDto) {
        return this.wishGameService.update(user, env, id, wishGameDto);
    }
    remove(user, env, id) {
        return this.wishGameService.remove(user, env, id);
    }
    sort(user, env, wishGames) {
        return this.wishGameService.sort(user, env, wishGames);
    }
};
__decorate([
    (0, common_1.Post)('list/sync'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '数据同步失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", void 0)
], WishGameController.prototype, "sync", null);
__decorate([
    (0, common_1.Post)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.CREATE_ERROR, message: '新增心愿游戏失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, wish_game_schema_1.WishGame]),
    __metadata("design:returntype", void 0)
], WishGameController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.READ_ERROR, message: '查询心愿游戏失败' }),
    __param(0, (0, common_1.Param)('env')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], WishGameController.prototype, "findAll", null);
__decorate([
    (0, common_1.Put)(':id'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '更新心愿游戏失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Param)('id')),
    __param(3, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, String, wish_game_schema_1.WishGame]),
    __metadata("design:returntype", void 0)
], WishGameController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.DEL_ERROR, message: '删除心愿游戏失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, String]),
    __metadata("design:returntype", void 0)
], WishGameController.prototype, "remove", null);
__decorate([
    (0, common_1.Post)('/list/order'),
    (0, meta_decorator_1.SetErrorMeta)({ code: response_constant_1.RES_CODE.UPDATE_ERROR, message: '排序心愿游戏失败' }),
    __param(0, (0, user_decorator_1.User)()),
    __param(1, (0, common_1.Param)('env')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, Array]),
    __metadata("design:returntype", void 0)
], WishGameController.prototype, "sort", null);
exports.WishGameController = WishGameController = __decorate([
    (0, common_1.Controller)(':env/wish-games'),
    __metadata("design:paramtypes", [wish_game_service_1.WishGameService])
], WishGameController);
//# sourceMappingURL=wish-game.controller.js.map